<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/srl_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.tenlionsoft.baselib.core.widget.refresh.BezierCircleHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <FrameLayout
            android:id="@+id/fl_fragment_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/ll_hint_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical">

                <ProgressBar
                    android:id="@+id/pb_fragment_loading"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:indeterminateBehavior="repeat"
                    android:indeterminateDrawable="@drawable/anim_loading" />

                <ImageView
                    android:id="@+id/iv_fragment_empty_data"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_centerInParent="true" />

                <com.tenlionsoft.baselib.core.widget.views.TypeFaceTextView
                    android:id="@+id/tv_fragment_error_hint"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:clickable="true"
                    android:textColor="@color/black"
                    tools:text="加载数据失败" />
            </LinearLayout>
        </FrameLayout>

        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</LinearLayout>